# Anti Tempmail Repo

[![Software License][ico-license]](LICENSE.md)

10-минутные сервисы хороши тогда, когда вам нужно быстро получить доступ к какому-либо сайту, но вы не хотите светить
свой актуальный почтовый ящик. Сервисы 10-минутной почты позволяют использовать неограниченное число почтовых ящиков
без какой-либо регистраций. Это замечательная концепция, но не для тех, для кого сбор 10-минутных ящиков может вылиться
в пустые издержки или создать проблемы взаимодействия для самого пользователя. ~~Ну и спамеры недовольны~~.

## Решение

Как же решить эту проблему? Можно ввести белый список почтовых доменов, которые заведомо являются не-10-минутными, но
в таком случае вероятность того, что новый @ely.by ящик не подойдёт для использования на вашем сайте. Поэтому к проблеме
следует подойти с другой стороны. Стороны введения чёрного списка. И хотя собрать абсолютно все сервисы 10-минутной
почты не выйдет, силами сообщества нам удастся собрать все популярные сервисы, на которые может наткнуться пользователь
интернета, сделав простой запрос в поисковую систему.

## Disclaimer

Мы не призываем вас блокировать доступ к сайту с использованием временной почты. Мы скорее за то, чтобы такие
пользователи были уведомлены о рисках использования временного ящика и, возможно, всё же доверили вам свой основной
почтовый ящик.

_Хотя решение принимать вам..._

## Что здесь?

В файле [data.json](data.json) находится JSON массив строк, которые в дальнейшем будут интерпретироваться как
регулярные выражения. Каждая строка должна содержать только 1 почтовый домен или его маску. Помните, что `.` в
регулярных выражениях обозначает "что угодно", так что если вы имеете в виду просто точку, не забудьте отэкранировать
её, воспользовавшись конструкцией `\\.`.

Каждая строка должна подразумевать, что она уже завёрнута в конструкцию `/^(` ... `)$/`, так что вам необходимо лишь
заменить `...` на имя негодного домена.

Все строки должны быть отсортированы по алфавиту

## Почему JSON?

Этот формат достаточно универсален, чтобы быть использованным в любом языке программирования, работающем с вебом. Будь
то PHP, JavaScript, Python, Ruby, Java и так далее, вы сможете прочитать этот формат и применить его для своего языка.

## Цикл релизова

Добавление новых E-mail адресов в репозиторий не приводит к моментальному появлению новой версии справочника. Примем
соглашение, что новая версия будет выпускаться каждую неделю, если в течение этой недели было получено хотя бы одно
измнение в справочнике.

## Установка

// TODO: описать использование для различных языков, ну или форсить публикацию во всех популярных менеджерах пакетов

## Использование

В чистом виде этот список не очень то и полезен. Поскольку значения - это регулярные выражения, то и использовать их
стоит в виде регулярного выражения. Для этого необходимо конкатенировать весь массив соединительным символом `|`
и завернуть это всё внутрь `/^(` ... `)$/`, образуя большое, но действенное регулярное выражение.

## Change log

Please see [CHANGELOG](CHANGELOG.md) for more information what has changed recently.

## Contributing

Please see [CONTRIBUTING](CONTRIBUTING.md) for details.

## Credits

Этот пакет был спроектирован и разработан внутри команды проекта [Ely.by](http://ely.by). Мы также благодарим за помощь
[всех контрибьюторов][link-contributors].

## License

The MIT License (MIT). Please see [License File](LICENSE.md) for more information.

[ico-license]: https://img.shields.io/badge/license-MIT-brightgreen.svg?style=flat-square

[link-author]: https://github.com/ErickSkrauch
[link-contributors]: ../../contributors
